### A free/open-source library for quantitative finance

Public Member Functions
LfmSwaptionEngine Class Reference
Swaption engines

Libor forward model swaption engine based on Black formula More...

`#include <ql/legacy/libormarketmodels/lfmswaptionengine.hpp>`

Inheritance diagram for LfmSwaptionEngine:
[legend]

List of all members.

## Public Member Functions

| LfmSwaptionEngine (const boost::shared_ptr< LiborForwardModel > &model, const Handle< YieldTermStructure > &discountCurve)
void | calculate () const

## Detailed Description

Libor forward model swaption engine based on Black formula